<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: articles.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| TMH Restyled articles.php
| Restyler: Tommy Hermans
| Email: tommy@themoviehouse.nl
| web: http://www.themoviehouse.nl/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "maincore.php";
require_once THEMES."templates/header.php";
include LOCALE.LOCALESET."articles.php";
include LOCALE.LOCALESET."global.php";


add_to_title($locale['global_200'].$locale['400']);

if (isset($_GET['article_id']) && isnum($_GET['article_id'])) {
	$result = dbquery(
		"SELECT ta.article_subject, ta.article_article, ta.article_breaks, 
		ta.article_datestamp, ta.article_reads, ta.article_allow_comments, ta.article_allow_ratings,
		tac.article_cat_id, tac.article_cat_name,
		tu.user_id, tu.user_name, tu.user_status
		FROM ".DB_ARTICLES." ta
		INNER JOIN ".DB_ARTICLE_CATS." tac ON ta.article_cat=tac.article_cat_id
		LEFT JOIN ".DB_USERS." tu ON ta.article_name=tu.user_id
		WHERE ".groupaccess('article_cat_access')." AND article_id='".$_GET['article_id']."' AND article_draft='0'"
	);
	if (dbrows($result)) {
		require_once INCLUDES."comments_include.php";
		require_once INCLUDES."ratings_include.php";
		$data = dbarray($result);
		if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
		if ($_GET['rowstart'] == 0) { $result = dbquery("UPDATE ".DB_ARTICLES." SET article_reads=article_reads+1 WHERE article_id='".$_GET['article_id']."'"); }
		$article = stripslashes($data['article_article']);
		if (ereg('<--PAGEBREAK-->', $article)) {
			$article = explode("<--PAGEBREAK-->", $article);
		} else {
			$article = explode("<!-- pagebreak -->", $article);
		}
		$pagecount = count($article);
		$article_subject = stripslashes($data['article_subject']);
		$article_info = array(
			"article_id" => $data['article_id'],
                  "cat_id" => $data['article_cat_id'],
			"cat_name" => $data['article_cat_name'],
			"user_id" => $data['user_id'],
			"user_name" => $data['user_name'],
			"user_status" => $data['user_status'],
			"article_date" => $data['article_datestamp'],
			"article_breaks" => $data['article_breaks'],
			"article_comments" => dbcount("(comment_id)", DB_COMMENTS, "comment_type='A' AND comment_item_id='".$data['article_id']."'"),
			"article_reads" => $data['article_reads'],
			"article_allow_comments" => $data['article_allow_comments']
		);
		add_to_title($locale['global_201'].$article_subject);
            echo "<!--pre_article-->";
		render_article($article_subject, $article[$_GET['rowstart']], $article_info);
           echo "<!--sub_article-->";
		if ($pagecount > 1) {
			echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], 1, $pagecount, 3, FUSION_SELF."?article_id=".$_GET['article_id']."&amp;")."\n</div>\n";
		}
		if ($data['article_allow_comments']) { showcomments("A", DB_ARTICLES, "article_id", $_GET['article_id'], FUSION_SELF."?article_id=".$_GET['article_id']); }
		if ($data['article_allow_ratings']) { showratings("A", $_GET['article_id'], FUSION_SELF."?article_id=".$_GET['article_id']); }
	} else {
		redirect(FUSION_SELF);
	}
} elseif (!isset($_GET['cat_id']) || !isnum($_GET['cat_id'])) {
	opentable($locale['400']);
      echo "<!--pre_article_idx-->\n";
	$result = dbquery("SELECT article_cat_id, article_cat_name, article_cat_description FROM ".DB_ARTICLE_CATS." WHERE ".groupaccess('article_cat_access')." AND article_cat_parent='0' ORDER BY article_cat_name");//subcategories
	$rows = dbrows($result);
	if ($rows) {
		$counter = 0; $columns = 2;
echo "<table cellpadding='0' cellspacing='0' width='100%' class='tbl'><img style='margin:5px' align='left' src='".IMAGES."artik.png' height='48' width='48' alt='' /><a href='".BASEDIR."submit.php?stype=a'><b>".$locale['405']."</b></a><br><span class='small'>".$locale['406']."</span><hr>\n<tr>\n";
		echo "<!--pre_article_index--><table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
		while ($data = dbarray($result)) {
			if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr>\n<tr>\n"; }
			$num = dbcount("(article_cat)", DB_ARTICLES, "article_cat='".$data['article_cat_id']."'");
			echo "<td valign='top' width='50%' class='tbl article_idx_cat_name'><img style='margin:3px' align='left' src='".IMAGES."ny1.png' height='32' width='32'><a href='".FUSION_SELF."?cat_id=".$data['article_cat_id']."' title='".$data['article_cat_description']."' ><!--article_idx_cat_name-->".$data['article_cat_name']."</a> <span class='small2'>($num)</span>";
	            echo subcats($data['article_cat_id'], $type="2");//subcategories
			echo "</td>\n";
			$counter++;
		}
		echo "</tr>\n</table>\n";
	} else {
		echo "<div style='text-align:center'><br />\n".$locale['401']."<br /><br />\n</div>\n";
	}
      echo "<!--sub_article_idx-->\n";
      closetable();
} else {
	$res = 0;
	$result = dbquery("SELECT article_cat_id, article_cat_name, article_cat_sorting, article_cat_access FROM ".DB_ARTICLE_CATS." WHERE article_cat_id='".$_GET['cat_id']."'");//subcategories
	if (dbrows($result) != 0) {
		$cdata = dbarray($result);
		if (checkgroup($cdata['article_cat_access'])) {
			$res = 1;
			add_to_title($locale['global_201'].$cdata['article_cat_name']);
			opentable($locale['400'].": ".$cdata['article_cat_name']);
             echo subcats($cdata['article_cat_id'], $type="1");//subcategories
                        echo "<table border='0' width='100%' cellspacing='0' cellpadding='0'>
	<tr>
		<td>
		<p align='right'><a href='javascript:history.back()'><b>Atgal</b></a></td>
	</tr>
</table>";

			echo "<!--pre_article_cat-->";
			$rows = dbcount("(article_id)", DB_ARTICLES, "article_cat='".$_GET['cat_id']."' AND article_draft='0'");
			if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
			if ($rows != 0) {
				$result = dbquery("SELECT a.*, u.user_id, u.user_name, u.user_status
          FROM ".DB_ARTICLES." a   
          LEFT JOIN ".DB_USERS." u ON a.article_name=u.user_id        
          WHERE article_cat='".$_GET['cat_id']."' AND article_draft='0' 
          ORDER BY ".$cdata['article_cat_sorting']." LIMIT ".$_GET['rowstart'].",".$settings['articles_per_page']
          );
             
           $numrows = dbrows($result); $i = 1;
      while ($data = dbarray($result)) {

               if ($data['article_datestamp'] + 604800 > time() + ($settings['timeoffset'] * 3600)) {
                  $new = "&nbsp;<span class='small'>".$locale['402']."</span>";
               } else {
                  $new = "";
               }
               echo "<img style='margin:2px' align='left' src='".IMAGES."ny1.png' height='32' width='32'><a href='".FUSION_SELF."?article_id=".$data['article_id']."'>".$data['article_subject']."</a>$new<br />\n".$locale['407']."<font>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."<font> - op ".showdate("longdate", $data['article_datestamp'])."<br /><br />\n".trimlink(($data['article_snippet']), 200);
echo "......<a href='readarticle.php?article_id=".$data['article_id']."'><b>".$locale['404']."</b></a><br />";
            echo ($i != $numrows ? "<br /><br />\n" : "\n"); $i++;
            }
				echo "<!--sub_article_cat-->";
				closetable();
				if ($rows > $settings['articles_per_page']) echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'], $settings['articles_per_page'], $rows, 3, FUSION_SELF."?cat_id=".$_GET['cat_id']."&amp;")."\n</div>\n";
			} else {
				echo "<div style='text-align:center'>".$locale['403']."</div>\n";
				echo "<!--sub_article_cat-->";
				closetable();
                 }
		}
	}
	if ($res == 0) { redirect(FUSION_SELF); }
}

//Subcategory begin
function subcats($id, $type="") {
    global $locale, $subcats_available;
 
	$result = dbquery("SELECT article_cat_id, article_cat_name, article_cat_description FROM ".DB_ARTICLE_CATS." WHERE ".groupaccess('article_cat_access')." AND article_cat_parent='".(int)$id."'  ORDER BY article_cat_name");
	$k = dbrows($result);
	if ($k > 0) {
		if ($type == "1") {
			$counter = 0; $columns = 2;
			echo "<span class='side'><strong>".$locale['404']."</strong></span><br />\n";
			
		echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
		while ($data = dbarray($result)) {
			if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr>\n<tr>\n"; }
			$num = dbcount("(article_cat)", DB_ARTICLES, "article_cat='".$data['article_cat_id']."' AND article_draft='0'");
			echo "<td valign='top' width='50%' class='tbl article_idx_cat_name'><!--article_idx_cat_name--><a href='".FUSION_SELF."?cat_id=".$data['article_cat_id']."' title='".$data['article_cat_description']."'>".$data['article_cat_name']."</a> <span class='small2'>($num)</span>";
						echo "</td>\n";
			$counter++;
		}
		echo "</tr>\n</table>\n";
			echo "<div style='margin:5px'></div>";
		} else {	  
	        echo "<br />";
			echo "<span class='side'><strong>".$locale['404'].": </strong></span>";
			while ($data = dbarray($result)) {
				$k--;
				$num = dbcount("(article_cat)", DB_ARTICLES, "article_cat='".(int)$data['article_cat_id']."' AND article_draft='0'");
				echo "<!--article_idx_cat_name--><a href='".FUSION_SELF."?cat_id=".$data['article_cat_id']."'>".$data['article_cat_name']."</a> <span class='small2'>($num)</span>";
				if ($k > 0) echo  ", ";
			}
		}
	} 
}

//Subcategory end

require_once THEMES."templates/footer.php";
?>